Subject: Re: bug#61011: ‘guix system vm’ spawns QEMU and hangs

From: Josselin Poiret <[email-masked]>
Date: Mon, 23 Jan 2023 21:59:35 +0100

Hi,
Leo Famulari <[email-masked]> writes:

> On Sun, Jan 22, 2023 at 10:36:21PM +0100, Ludovic Courtès wrote:
>>   $(guix time-machine --commit=9923100a42ffa80f604c1c13a5e999e6a4c15146 \
>>     -- system vm gnu/system/examples/bare-bones.tmpl) -m 1024  # Bad!
>
> I can reproduce.
>
> It seems to work fine without '-m 1024', in which case it only has 512
> MB RAM.

This is probably due to the following kernel bug [1], which could be
related to the khugepaged hangs I'm getting on my system since 6.1.

[1]
https://lore.kernel.org/kvm/[email-masked]/ 

Best,
-- 
Josselin Poiret